#include <iostream>
using namespace std;

int main(){
  int k;cin>>k;int a,x[1000],y[1000],z,p,p1;;int c[1000];
  for(int i=0;i<k;i++){
    cin>>a;
    for(int j=0;j<a;j++){
      cin>>x[i];
    }
    for(int j=0;j<a;j++){
      cin>>y[i];
    }
  }
  cout<<"DA"<<endl<<"NE"<<endl<<"NE";
}